edu.wisc.cae.caeauth.internal.model

## Class CaeapiKeysT

- java.lang.Object
- - edu.wisc.cae.caeauth.internal.model.CaeapiKeysT

    public class CaeapiKeysT
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CaeapiKeysT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BigDecimal` `getCaeid()`
`Timestamp` `getExpireTimestamp()`
`String` `getGUID()`
`Timestamp` `getIssueTimestamp()`
`String` `getLoginName()`
`long` `getRequestCount()`
`String` `getRevoked()`
`Timestamp` `getRevokedTime()`
`String` `getShibAssertionId()`
`Timestamp` `getShibCondNotafter()`
`Timestamp` `getShibCondNotbefore()`
`String` `getShibIdp()`
`String` `getShibSessionId()`
`String` `getShibSp()`
`void` `setCaeid(BigDecimal caeid)`
`void` `setExpireTimestamp(Timestamp expireTimestamp)`
`void` `setGUID(String gUID)`
`void` `setIssueTimestamp(Timestamp issueTimestamp)`
`void` `setLoginName(String loginName)`
`void` `setRequestCount(long requestCount)`
`void` `setRevoked(String revoked)`
`void` `setRevokedTime(Timestamp revokedTime)`
`void` `setShibAssertionId(String shibAssertionId)`
`void` `setShibCondNotafter(Timestamp shibCondNotafter)`
`void` `setShibCondNotbefore(Timestamp shibCondNotbefore)`
`void` `setShibIdp(String shibIdp)`
`void` `setShibSessionId(String shibSessionId)`
`void` `setShibSp(String shibSp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CaeapiKeysT

    public CaeapiKeysT()

### Method Detail

#### getGUID

    public String getGUID()

#### setGUID

    public void setGUID(String gUID)

#### getIssueTimestamp

    public Timestamp getIssueTimestamp()

#### setIssueTimestamp

    public void setIssueTimestamp(Timestamp issueTimestamp)

#### getExpireTimestamp

    public Timestamp getExpireTimestamp()

#### setExpireTimestamp

    public void setExpireTimestamp(Timestamp expireTimestamp)

#### getCaeid

    public BigDecimal getCaeid()

#### setCaeid

    public void setCaeid(BigDecimal caeid)

#### getLoginName

    public String getLoginName()

#### setLoginName

    public void setLoginName(String loginName)

#### getShibSp

    public String getShibSp()

#### setShibSp

    public void setShibSp(String shibSp)

#### getShibIdp

    public String getShibIdp()

#### setShibIdp

    public void setShibIdp(String shibIdp)

#### getShibAssertionId

    public String getShibAssertionId()

#### setShibAssertionId

    public void setShibAssertionId(String shibAssertionId)

#### getShibSessionId

    public String getShibSessionId()

#### setShibSessionId

    public void setShibSessionId(String shibSessionId)

#### getShibCondNotbefore

    public Timestamp getShibCondNotbefore()

#### setShibCondNotbefore

    public void setShibCondNotbefore(Timestamp shibCondNotbefore)

#### getShibCondNotafter

    public Timestamp getShibCondNotafter()

#### setShibCondNotafter

    public void setShibCondNotafter(Timestamp shibCondNotafter)

#### getRequestCount

    public long getRequestCount()

#### setRequestCount

    public void setRequestCount(long requestCount)

#### getRevoked

    public String getRevoked()

#### setRevoked

    public void setRevoked(String revoked)

#### getRevokedTime

    public Timestamp getRevokedTime()

#### setRevokedTime

    public void setRevokedTime(Timestamp revokedTime)